Bug 838635 - "Fatal error: Nothing to do" isn't fatal, or an error, or worthy of warning
"Fatal error: Nothing to do" isn't fatal, or an error, or worthy of warning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 12:29 EDT by joshua
Modified: 2014-02-05 07:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:02:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joshua 2012-07-09 12:29:44 EDT
Description of problem:

After installing Packagekit-cron and changing ENABLED= to "yes" in /etc/sysconfig/packagekit-background, I get this error when there aren't any updates:

Transaction:	Updating system
Status: 	Waiting in queue
Status: 	Waiting for authentication
Status: 	Waiting in queue
Status: 	Starting
Percentage:	0
Status: 	Running
Results:
Fatal error: Nothing to do


Why is "no updates" generating an email at all!  Why do I need to read once per day *per system* that there were no updates applied?



Version-Release number of selected component (if applicable):

PackageKit-cron-0.7.5-1.fc17.x86_64
Comment 1 joshua 2012-10-20 12:23:00 EDT
Guys... I love getting email from friends... but seeing the above once a freakin' day isn't friendly... please fix!
Comment 2 Petter Reinholdtsen 2012-11-20 04:12:20 EST
We see a similar problem on RHEL 6 from our several hundred RHEL 6 machines.  Ever night we get an email like this from each of them:


Date: Tue, 20 Nov 2012 09:22:53 +0100 (CET)       
From: "Anacron (rhevtest.uio.no)" <root@usit.uio.no>
To: root@usit.uio.no
Subject: Anacron job 'cron.daily' on rhevtest.uio.no

/etc/cron.daily/packagekit-background.cron:

Null message body; hope that's ok


We need a way to stop this flood of emails.  Any clues to spare?  This is with
PackageKit-cron version 0.5.8-20.
Comment 3 Richard Hughes 2012-11-20 04:53:00 EST
(In reply to comment #0)
> PackageKit-cron-0.7.5-1.fc17.x86_64

Hmm, we fixed this a while ago, or so I thought. Are you see seeing the problem in F17 or F18?
Comment 4 joshua 2012-11-20 15:03:50 EST
Still broken in F18:

Transaction:	Updating system
Status: 	Waiting in queue
Status: 	Waiting for authentication
Status: 	Waiting in queue
Status: 	Starting
Status: 	Downloading repository information
Percentage:	0
Status: 	Running
Results:
Fatal error: Nothing to do


This is true in PackageKit-cron-0.8.4-7.fc18.x86_64.rpm from F18 Alpha, and still in PackageKit-cron-0.7.5-1.fc17.x86_64 in F17.


Please fix... I don't know how many more days of emails about non-updates I can take!
Comment 5 Fedora End Of Life 2013-12-21 03:39:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:02:04 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.